/*----------------------------------------
  FORM
----------------------------------------*/
.form {
  position: relative;
  width: 100%;
  text-align: left;
}

.form__group {
  position: relative;

  + .form__group {
    margin-top: $form-group-gap;

    @include mq('tablet', 'max') {
      margin-top: $form-group-gap / 2;
    }
  }
}

.form__subtitle {
  font-weight: $font-weight-regular;
  margin: 40px 0px;
}

// STYLE FOR INPUT

.form__input {
  width: input(width);
  height: input(height);
  padding: input(padding);
  font-family: input(font-family);
  font-size: input(font-size);
  color: input(color);
  font-weight: input(font-weight);
  background-color: input(background);
  border: input(border);
  border-radius: input(border-radius);
  white-space: nowrap;
  text-overflow: ellipsis;
  box-sizing: border-box;

  @include placeholder {
    font-size: input(font-size);
    color: input(placeholder);
    transition: input(transition);
  }

  &:focus {
    outline: none;

    @include placeholder {
      color: rgba(input(placeholder), 0.4);
      transition: input(transition);
    }
  }

  &.error {
    box-shadow: 0px 0px 0px 1px $color-error;
  }
}

// STYLE FOR TEXTAREA

.form__textarea {
  width: textarea(width);
  height: textarea(height);
  padding: textarea(padding);
  font-size: textarea(font-size);
  color: textarea(color);
  font-weight: textarea(font-weight);
  border: textarea(border);
  border-radius: textarea(border-radius);
  background-color: textarea(background);
  box-sizing: border-box;
  resize: none;

  @include placeholder {
    font-size: textarea(font-size);
    color: textarea(placeholder);
    transition: textarea(transition);
  }

  &:focus {
    outline: none;

    @include placeholder {
      color: rgba(input(placeholder), 0.4);
      transition: textarea(transition);
    }

    + span.error {
      opacity: 0;
    }
  }

  &.error {
    box-shadow: 0px 0px 0px 1px $color-error;

    @include placeholder {
      color: transparent;
      transition: textarea(transition);
    }
  }
}

// STYLE FOR LABELS

.form__label {
  display: inline-block;
  margin-bottom: 15px;
  color: $color-black-light;
  font-weight: $font-weight-regular;
}

//ERROR

.form {

  span.error {
    //display: none !important;
    position: absolute;
    display: block;
    bottom: 100%;
    left: 18px;
    right: 0;
    font-size: 14px;
    margin-bottom: 3px;
    z-index: z(label-error);
    color: $color-error;
    text-align: left;
    background: transparent;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    pointer-events: none;
  }
}

/* FEEDBACK */

.form_feedback {
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 0px;
  padding-bottom: 0px;
  background-color: $color-white;
  border-radius: 10px;

  @include mq('tablet', 'max') {
    padding-left: 15px;
    padding-right: 15px;

    .btn {
      width: 100%;
    }
  }
}

.form_bordered {
  border: 1px solid $color-gray;;
  border-radius: 10px;
  overflow: hidden;
}

/* end forms */
